Debian Bug report logs - #616639
udev: Lenovo ThinkPad X201 Tablet keymap issues

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Paul Wise <pabs@debian.org>

Date: Sun, 6 Mar 2011 08:03:01 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#616639; Package linux-2.6. (Sun, 06 Mar 2011 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 06 Mar 2011 08:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: context menu key does not work on Thinkpad X201 Tablet
Date: Sun, 06 Mar 2011 15:58:14 +0800
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.37-2
Severity: normal

The context menu key on my keyboard for my new Thinkpad X201 Tablet does
not work, according to evtest and xev it triggers the WakeUp keycode.
Below is an evtest log of me pressing the menu key 10 times and then
Ctrl+C to kill evtest. The data below is for Linux 2.6.38-rc6 from
experimental but it happens with 2.6.37 in unstable too.

# evtest /dev/input/event0
Input driver version is 1.0.1
Input device ID: bus 0x11 vendor 0x1 product 0x1 version 0xab54
Input device name: "AT Translated Set 2 keyboard"
Supported events:
  Event type 0 (Sync)
  Event type 1 (Key)
    Event code 1 (Esc)
    Event code 2 (1)
    Event code 3 (2)
    Event code 4 (3)
    Event code 5 (4)
    Event code 6 (5)
    Event code 7 (6)
    Event code 8 (7)
    Event code 9 (8)
    Event code 10 (9)
    Event code 11 (0)
    Event code 12 (Minus)
    Event code 13 (Equal)
    Event code 14 (Backspace)
    Event code 15 (Tab)
    Event code 16 (Q)
    Event code 17 (W)
    Event code 18 (E)
    Event code 19 (R)
    Event code 20 (T)
    Event code 21 (Y)
    Event code 22 (U)
    Event code 23 (I)
    Event code 24 (O)
    Event code 25 (P)
    Event code 26 (LeftBrace)
    Event code 27 (RightBrace)
    Event code 28 (Enter)
    Event code 29 (LeftControl)
    Event code 30 (A)
    Event code 31 (S)
    Event code 32 (D)
    Event code 33 (F)
    Event code 34 (G)
    Event code 35 (H)
    Event code 36 (J)
    Event code 37 (K)
    Event code 38 (L)
    Event code 39 (Semicolon)
    Event code 40 (Apostrophe)
    Event code 41 (Grave)
    Event code 42 (LeftShift)
    Event code 43 (BackSlash)
    Event code 44 (Z)
    Event code 45 (X)
    Event code 46 (C)
    Event code 47 (V)
    Event code 48 (B)
    Event code 49 (N)
    Event code 50 (M)
    Event code 51 (Comma)
    Event code 52 (Dot)
    Event code 53 (Slash)
    Event code 54 (RightShift)
    Event code 55 (KPAsterisk)
    Event code 56 (LeftAlt)
    Event code 57 (Space)
    Event code 58 (CapsLock)
    Event code 59 (F1)
    Event code 60 (F2)
    Event code 61 (F3)
    Event code 62 (F4)
    Event code 63 (F5)
    Event code 64 (F6)
    Event code 65 (F7)
    Event code 66 (F8)
    Event code 67 (F9)
    Event code 68 (F10)
    Event code 69 (NumLock)
    Event code 70 (ScrollLock)
    Event code 71 (KP7)
    Event code 72 (KP8)
    Event code 73 (KP9)
    Event code 74 (KPMinus)
    Event code 75 (KP4)
    Event code 76 (KP5)
    Event code 77 (KP6)
    Event code 78 (KPPlus)
    Event code 79 (KP1)
    Event code 80 (KP2)
    Event code 81 (KP3)
    Event code 82 (KP0)
    Event code 83 (KPDot)
    Event code 85 (Zenkaku/Hankaku)
    Event code 86 (102nd)
    Event code 87 (F11)
    Event code 88 (F12)
    Event code 89 (RO)
    Event code 90 (Katakana)
    Event code 91 (HIRAGANA)
    Event code 92 (Henkan)
    Event code 93 (Katakana/Hiragana)
    Event code 94 (Muhenkan)
    Event code 95 (KPJpComma)
    Event code 96 (KPEnter)
    Event code 97 (RightCtrl)
    Event code 98 (KPSlash)
    Event code 99 (SysRq)
    Event code 100 (RightAlt)
    Event code 102 (Home)
    Event code 103 (Up)
    Event code 104 (PageUp)
    Event code 105 (Left)
    Event code 106 (Right)
    Event code 107 (End)
    Event code 108 (Down)
    Event code 109 (PageDown)
    Event code 110 (Insert)
    Event code 111 (Delete)
    Event code 112 (Macro)
    Event code 113 (Mute)
    Event code 114 (VolumeDown)
    Event code 115 (VolumeUp)
    Event code 116 (Power)
    Event code 117 (KPEqual)
    Event code 118 (KPPlusMinus)
    Event code 119 (Pause)
    Event code 121 (KPComma)
    Event code 122 (Hanguel)
    Event code 123 (Hanja)
    Event code 124 (Yen)
    Event code 125 (LeftMeta)
    Event code 126 (RightMeta)
    Event code 128 (Stop)
    Event code 139 (Menu)
    Event code 140 (Calc)
    Event code 141 (Setup)
    Event code 142 (Sleep)
    Event code 143 (WakeUp)
    Event code 152 (Coffee)
    Event code 153 (Direction)
    Event code 155 (Mail)
    Event code 156 (Bookmarks)
    Event code 157 (Computer)
    Event code 158 (Back)
    Event code 159 (Forward)
    Event code 163 (NextSong)
    Event code 164 (PlayPause)
    Event code 165 (PreviousSong)
    Event code 166 (StopCD)
    Event code 172 (HomePage)
    Event code 173 (Refresh)
    Event code 184 (F14)
    Event code 185 (F15)
    Event code 217 (Search)
    Event code 226 (Media)
    Event code 464 (?)
  Event type 4 (Misc)
    Event code 4 (ScanCode)
  Event type 17 (LED)
    Event code 0 (NumLock)
    Event code 1 (CapsLock)
    Event code 2 (ScrollLock)
  Event type 20 (Repeat)
Testing ... (interrupt to exit)
Event: time 1299396921.696436, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396921.696445, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396921.696446, -------------- Report Sync ------------
Event: time 1299396921.751279, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396921.751289, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396921.751289, -------------- Report Sync ------------
Event: time 1299396922.134430, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396922.134440, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396922.134441, -------------- Report Sync ------------
Event: time 1299396922.197408, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396922.197414, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396922.197415, -------------- Report Sync ------------
Event: time 1299396922.668064, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396922.668070, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396922.668071, -------------- Report Sync ------------
Event: time 1299396922.723540, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396922.723546, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396922.723546, -------------- Report Sync ------------
Event: time 1299396923.194306, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396923.194312, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396923.194313, -------------- Report Sync ------------
Event: time 1299396923.249485, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396923.249491, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396923.249491, -------------- Report Sync ------------
Event: time 1299396923.712134, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396923.712140, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396923.712141, -------------- Report Sync ------------
Event: time 1299396923.775476, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396923.775482, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396923.775483, -------------- Report Sync ------------
Event: time 1299396924.254461, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396924.254467, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396924.254468, -------------- Report Sync ------------
Event: time 1299396924.317251, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396924.317256, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396924.317256, -------------- Report Sync ------------
Event: time 1299396924.796259, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396924.796265, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396924.796267, -------------- Report Sync ------------
Event: time 1299396924.867231, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396924.867236, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396924.867237, -------------- Report Sync ------------
Event: time 1299396925.329915, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396925.329921, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396925.329922, -------------- Report Sync ------------
Event: time 1299396925.393084, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396925.393090, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396925.393091, -------------- Report Sync ------------
Event: time 1299396925.847830, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396925.847835, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396925.847836, -------------- Report Sync ------------
Event: time 1299396925.927189, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396925.927195, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396925.927196, -------------- Report Sync ------------
Event: time 1299396926.446109, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396926.446114, type 1 (Key), code 143 (WakeUp), value 1
Event: time 1299396926.446115, -------------- Report Sync ------------
Event: time 1299396926.501143, type 4 (Misc), code 4 (ScanCode), value dd
Event: time 1299396926.501148, type 1 (Key), code 143 (WakeUp), value 0
Event: time 1299396926.501149, -------------- Report Sync ------------
Event: time 1299396928.029355, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.029361, type 1 (Key), code 29 (LeftControl), value 1
Event: time 1299396928.029362, -------------- Report Sync ------------
Event: time 1299396928.279078, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.279083, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.279084, -------------- Report Sync ------------
Event: time 1299396928.312078, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.312084, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.312085, -------------- Report Sync ------------
Event: time 1299396928.345314, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.345318, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.345319, -------------- Report Sync ------------
Event: time 1299396928.378327, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.378331, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.378332, -------------- Report Sync ------------
Event: time 1299396928.411149, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.411154, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.411155, -------------- Report Sync ------------
Event: time 1299396928.444106, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.444112, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.444113, -------------- Report Sync ------------
Event: time 1299396928.477063, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.477068, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.477069, -------------- Report Sync ------------
Event: time 1299396928.510087, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.510091, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.510092, -------------- Report Sync ------------
Event: time 1299396928.543330, type 4 (Misc), code 4 (ScanCode), value 1d
Event: time 1299396928.543335, type 1 (Key), code 29 (LeftControl), value 2
Event: time 1299396928.543337, -------------- Report Sync ------------

-- Package-specific info:
** Version:
Linux version 2.6.38-rc6-amd64 (Debian 2.6.38~rc6-1~experimental.1) (maks@debian.org) (gcc version 4.4.5 (Debian 4.4.5-12) ) #1 SMP Tue Feb 22 15:15:55 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.38-rc6-amd64 root=/dev/mapper/chianamo-root ro quiet loglevel=0 init=/bin/systemd

** Not tainted

** Kernel log:
[   67.305985] microcode: CPU0 sig=0x20655, pf=0x10, revision=0x2
[   67.370295] microcode: CPU1 sig=0x20655, pf=0x10, revision=0x2
[   67.381864] microcode: CPU2 sig=0x20655, pf=0x10, revision=0x2
[   67.389323] microcode: CPU3 sig=0x20655, pf=0x10, revision=0x2
[   67.398871] microcode: Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
[   67.672157] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input10
[   67.812795] hdaps: supported laptop not found!
[   67.812798] hdaps: driver init failed (ret=-19)!
[   69.336848] Bluetooth: L2CAP ver 2.15
[   69.336851] Bluetooth: L2CAP socket layer initialized
[   69.383966] e1000e 0000:00:19.0: irq 40 for MSI/MSI-X
[   69.409253] Bluetooth: RFCOMM TTY layer initialized
[   69.409258] Bluetooth: RFCOMM socket layer initialized
[   69.409260] Bluetooth: RFCOMM ver 1.11
[   69.439878] e1000e 0000:00:19.0: irq 40 for MSI/MSI-X
[   69.440642] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   69.451699] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   69.451701] Bluetooth: BNEP filters: protocol multicast
[   69.497160] Bluetooth: SCO (Voice Link) ver 0.6
[   69.497163] Bluetooth: SCO socket layer initialized
[   69.757513] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   81.068808] EXT4-fs (dm-1): re-mounted. Opts: usrquota,grpquota,acl,user_xattr,errors=remount-ro,commit=0
[   82.196502] wlan0: authenticate with 00:1f:33:d1:c9:e6 (try 1)
[   82.199149] wlan0: authenticated
[   82.199225] wlan0: associate with 00:1f:33:d1:c9:e6 (try 1)
[   82.201737] wlan0: RX AssocResp from 00:1f:33:d1:c9:e6 (capab=0x411 status=0 aid=2)
[   82.201740] wlan0: associated
[   82.204743] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   82.216072] iwlagn 0000:02:00.0: Queue 2 stuck for 2000 ms.
[   82.216076] iwlagn 0000:02:00.0: On demand firmware reload
[   92.813130] wlan0: no IPv6 routers present
[  264.822278] usb 1-1.3: USB disconnect, address 5

** Model information
sys_vendor: LENOVO
product_name: 0831CTO
product_version: ThinkPad X201 Tablet
chassis_vendor: LENOVO
chassis_version: Not Available
bios_vendor: LENOVO
bios_version: 6QET61WW (1.31 )
board_vendor: LENOVO
board_name: 0831CTO
board_version: Not Available

** Loaded modules:
Module                  Size  Used by
binfmt_misc             6322  1 
sco                     7587  2 
bnep                   10032  2 
rfcomm                 28472  4 
l2cap                  30891  6 bnep,rfcomm
acpi_cpufreq            5225  1 
mperf                   1283  1 acpi_cpufreq
cpufreq_userspace       2056  0 
cpufreq_powersave        950  0 
cpufreq_stats           2641  0 
cpufreq_conservative     7654  0 
input_polldev           2762  0 
microcode              21557  0 
uinput                  6816  1 
kvm_intel              43547  0 
kvm                   255681  1 kvm_intel
deflate                 1783  0 
zlib_deflate           17650  1 deflate
ctr                     3427  0 
twofish_generic         6121  0 
twofish_x86_64          5157  0 
twofish_common         14128  2 twofish_generic,twofish_x86_64
camellia               17857  0 
serpent                18151  0 
blowfish                8040  0 
cast5                  14477  0 
des_generic            15651  0 
xcbc                    2373  0 
rmd160                  7760  0 
sha512_generic          4465  0 
sha1_generic            1791  0 
hmac                    2673  0 
crypto_null             2508  0 
af_key                 24738  0 
fuse                   55069  3 
ext2                   52777  1 
btusb                   9473  0 
bluetooth              46679  7 sco,bnep,rfcomm,l2cap,btusb
snd_hda_codec_hdmi     19833  1 
snd_hda_codec_conexant    36200  1 
snd_hda_intel          19498  2 
snd_hda_codec          62079  3 snd_hda_codec_hdmi,snd_hda_codec_conexant,snd_hda_intel
snd_hwdep               5412  1 snd_hda_codec
snd_pcm_oss            31414  0 
snd_mixer_oss          12401  1 snd_pcm_oss
snd_pcm                61463  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_pcm_oss
thinkpad_acpi          53152  0 
snd_seq_midi            4272  0 
snd_rawmidi            15811  1 snd_seq_midi
snd_seq_midi_event      4628  1 snd_seq_midi
snd_seq                42118  2 snd_seq_midi,snd_seq_midi_event
joydev                  9010  0 
snd_timer              16146  2 snd_pcm,snd_seq
arc4                    1338  2 
snd_seq_device          4539  3 snd_seq_midi,snd_rawmidi,snd_seq
ecb                     1889  2 
snd                    46480  17 snd_hda_codec_hdmi,snd_hda_codec_conexant,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,thinkpad_acpi,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
iwlagn                135668  0 
uvcvideo               51066  0 
soundcore               4566  1 snd
iwlcore                50744  1 iwlagn
mac80211              173861  2 iwlagn,iwlcore
tpm_tis                 7165  0 
videodev               52890  1 uvcvideo
v4l2_compat_ioctl32     6175  1 videodev
i2c_i801                7262  0 
cfg80211              118841  3 iwlagn,iwlcore,mac80211
tpm                     9854  1 tpm_tis
snd_page_alloc          6217  2 snd_hda_intel,snd_pcm
psmouse                46031  0 
nvram                   5221  1 thinkpad_acpi
rfkill                 13574  5 bluetooth,thinkpad_acpi,cfg80211
serio_raw               3750  0 
wmi                     7402  0 
tpm_bios                4455  1 tpm
battery                 5822  0 
ac                      2224  0 
power_supply            7619  2 battery,ac
evdev                   8147  8 
processor              23791  5 acpi_cpufreq
usb_storage            39783  0 
cdc_ether               3466  0 
usbnet                 13242  1 cdc_ether
mii                     3274  1 usbnet
loop                   13795  0 
autofs4                19710  7 
ext4                  282030  1 
mbcache                 4970  2 ext2,ext4
jbd2                   57973  1 ext4
crc16                   1335  2 l2cap,ext4
sha256_generic          9421  2 
aesni_intel            40889  14 
cryptd                  6871  5 aesni_intel
aes_x86_64              7404  1 aesni_intel
aes_generic            26114  2 aesni_intel,aes_x86_64
cbc                     2619  0 
dm_crypt               13320  1 
dm_mod                 56147  9 dm_crypt
sd_mod                 28677  3 
crc_t10dif              1308  1 sd_mod
i915                  308030  2 
drm_kms_helper         22205  1 i915
drm                   155199  3 i915,drm_kms_helper
i2c_algo_bit            4202  1 i915
ahci                   19449  2 
libahci                16168  1 ahci
libata                143232  2 ahci,libahci
ehci_hcd               32601  0 
usbcore               117388  7 btusb,uvcvideo,usb_storage,cdc_ether,usbnet,ehci_hcd
e1000e                118493  0 
scsi_mod              154129  3 usb_storage,sd_mod,libata
i2c_core               16437  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
thermal                 7482  0 
nls_base                6377  1 usbcore
video                  10649  1 i915
button                  4730  1 i915
thermal_sys            12507  3 processor,thermal,video

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0044] (rev 02)
	Subsystem: Lenovo Device [17aa:2193]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:215a]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 42
	Region 0: Memory at f2000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee0f00c  Data: 4169
	Capabilities: [d0] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a4] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: i915

00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
	Subsystem: Lenovo Device [17aa:215f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f2727800 (64-bit, non-prefetchable) [size=16]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [8c] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000

00:19.0 Ethernet controller [0200]: Intel Corporation 82577LM Gigabit Network Connection [8086:10ea] (rev 06)
	Subsystem: Lenovo Device [17aa:2153]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 40
	Region 0: Memory at f2500000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at f2525000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at 1820 [size=32]
	Capabilities: [c8] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4191
	Capabilities: [e0] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: e1000e

00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 06) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:2163]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at f2728000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 06)
	Subsystem: Lenovo Device [17aa:215e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 44
	Region 0: Memory at f2520000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4181
	Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
		VC1:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=1 ArbSelect=Fixed TC/VC=02
			Status:	NegoPending- InProgress-
	Capabilities: [130 v1] Root Complex Link
		Desc:	PortNumber=0f ComponentID=00 EltType=Config
		Link0:	Desc:	TargetPort=00 TargetComponent=00 AssocRCRB- LinkType=MemMapped LinkValid+
			Addr:	00000000fed1c000
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0d, subordinate=0d, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Surprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #0, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Lenovo Device [17aa:2164]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 [8086:3b48] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=0c, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f0000000-f1ffffff
	Prefetchable memory behind bridge: 00000000f2800000-00000000f28fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #4, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Surprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+
			Slot #3, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet+ CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Lenovo Device [17aa:2164]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 [8086:3b4a] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	Memory behind bridge: f2400000-f24fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #5, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <256ns, L1 <4us
			ClockPM- Surprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #4, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet+ LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Lenovo Device [17aa:2164]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 06) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:2163]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at f2728400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a6) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=0e, subordinate=0e, sec-latency=0
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [50] Subsystem: Lenovo Device [17aa:2165]

00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller [8086:3b07] (rev 06)
	Subsystem: Lenovo Device [17aa:2166]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information: Len=10 <?>

00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller [8086:3b2f] (rev 06) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device [17aa:2168]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 41
	Region 0: I/O ports at 1860 [size=8]
	Region 1: I/O ports at 1814 [size=4]
	Region 2: I/O ports at 1818 [size=8]
	Region 3: I/O ports at 1810 [size=4]
	Region 4: I/O ports at 1840 [size=32]
	Region 5: Memory at f2727000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee0f00c  Data: 4161
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot+,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a8] SATA HBA v1.0 BAR4 Offset=00000004
	Capabilities: [b0] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 06)
	Subsystem: Lenovo Device [17aa:2167]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f2728800 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: i801_smbus

00:1f.6 Signal processing controller [1180]: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 06)
	Subsystem: Lenovo Device [17aa:2190]
	Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin D routed to IRQ 11
	Region 0: Memory at f2526000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000

02:00.0 Network controller [0280]: Intel Corporation Centrino Ultimate-N 6300 [8086:4238] (rev 35)
	Subsystem: Intel Corporation Centrino Ultimate-N 6300 3x3 AGN [8086:1111]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 43
	Region 0: Memory at f2400000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4171
	Capabilities: [e0] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 unlimited
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+ FLReset-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 <128ns, L1 <32us
			ClockPM+ Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES- TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, GenCap- CGenEn- ChkCap- ChkEn-
	Capabilities: [140 v1] Device Serial Number 00-24-d7-ff-ff-80-a0-68
	Kernel driver in use: iwlagn

ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
	Subsystem: Lenovo Device [17aa:2196]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
	Subsystem: Lenovo Device [17aa:2196]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
	Subsystem: Lenovo Device [17aa:2196]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
	Subsystem: Lenovo Device [17aa:2196]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
	Subsystem: Lenovo Device [17aa:2196]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d13] (rev 02)
	Subsystem: Lenovo Device [17aa:2196]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor
Bus 001 Device 004: ID 17ef:4816 Lenovo 


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (550, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-rc6-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.38-rc6-amd64 depends on:
ii  debconf [deb 1.5.38                      Debian configuration management sy
ii  initramfs-to 0.98.8                      tools for generating an initramfs
ii  linux-base   2.6.38~rc6-1~experimental.1 Linux image base package
ii  module-init- 3.12-1                      tools for managing Linux kernel mo

Versions of packages linux-image-2.6.38-rc6-amd64 recommends:
ii  firmware-linux-free           2.6.37-2   Binary firmware for various driver

Versions of packages linux-image-2.6.38-rc6-amd64 suggests:
ii  grub-pc                 1.98+20100804-14 GRand Unified Bootloader, version 
pn  linux-doc-2.6.38        <none>           (no description available)

Versions of packages linux-image-2.6.38-rc6-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.28       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
* linux-image-2.6.38-rc6-amd64/postinst/missing-firmware-2.6.38-rc6-amd64:
  linux-image-2.6.38-rc6-amd64/postinst/ignoring-do-bootloader-2.6.38-rc6-amd64:
  linux-image-2.6.38-rc6-amd64/prerm/removing-running-kernel-2.6.38-rc6-amd64: true
  linux-image-2.6.38-rc6-amd64/postinst/depmod-error-initrd-2.6.38-rc6-amd64: false

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=35312'. Request was from Paul Wise <pabs@master.debian.org> to control@bugs.debian.org. (Wed, 18 May 2011 03:42:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#616639; Package linux-2.6. (Sat, 21 May 2011 06:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 21 May 2011 06:51:06 GMT) Full text and rfc822 format available.

Message #12 received at 616639@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 616639@bugs.debian.org
Cc: control <control@bugs.debian.org>
Subject: udev: 616639: Lenovo ThinkPad X201 Tablet keymap issues
Date: Sat, 21 May 2011 14:49:22 +0800
[Message part 1 (text/plain, inline)]
reassign 616639 udev
notforwarded 616639
retitle 616639 udev: Lenovo ThinkPad X201 Tablet keymap issues
thanks

I originally filed this bug on Linux but when I forwarded it upstream I
was told it should be fixed in udev not Linux. I tried to send this mail
to the linux-hotplug mailing list but it doesn't appear in the archives
so I am sending it the bug too.

My ThinkPad X201 Tablet has some keyboard/button issues. The right-click
context menu key generates a WakeUp instead of a compose event. The
alt-tab window cycle button generates a coffee/screen lock event instead
of a cyclewindows event. The Fn key isn't recognised either. The keymap
below works when I manually apply it to my keyboard but I can't figure
out how to get it to apply at boot, I tried the following udev rule but
that didn't help, even when I removed the other two existing rules about
Lenovo Tablets. I've attached the exported udev database and listed
below the keyboard, DMI and keymap information needed to resolve the
keymap issues. 

ENV{DMI_VENDOR}=="LENOVO*", ATTR{[dmi/id]product_version}=="ThinkPad X201 Tablet*", ATTR{[dmi/id]product_version}=="* Tablet" RUN+="keymap $name lenovo-thinkpad_x201_tablet"

pabs@chianamo:~$ sudo /lib/udev/findkeyboards
AT keyboard: input/event0
Unknown type: input/event10
module: input/event6
pabs@chianamo:~$ cat /sys/class/dmi/id/sys_vendor
LENOVO
pabs@chianamo:~$ cat /sys/class/dmi/id/product_name
0831CTO
pabs@chianamo:~$ cat /sys/class/dmi/id/product_version
ThinkPad X201 Tablet
pabs@chianamo:~$ cat keymap-lenovo-thinkpad_x201_tablet
0xDD compose
0xE3 fn
0x66 screenlock # bezel screen lock
0x67 cyclewindows # bezel circular arrow
0x68 setup # bezel setup / menu
0x6c direction # rotate screen

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[udev-db.txt (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'linux-2.6' to 'udev'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 06:51:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 2.6.37-2. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 06:51:08 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 06:51:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'udev: Lenovo ThinkPad X201 Tablet keymap issues' from 'context menu key does not work on Thinkpad X201 Tablet' Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sat, 21 May 2011 06:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#616639; Package udev. (Sat, 11 Jun 2011 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 11 Jun 2011 02:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 616639@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Paul Wise <pabs@debian.org>, 616639@bugs.debian.org
Subject: Re: Bug#616639: udev: 616639: Lenovo ThinkPad X201 Tablet keymap issues
Date: Sat, 11 Jun 2011 04:35:21 +0200
[Message part 1 (text/plain, inline)]
On May 21, Paul Wise <pabs@debian.org> wrote:

> ENV{DMI_VENDOR}=="LENOVO*", ATTR{[dmi/id]product_version}=="ThinkPad X201 Tablet*", ATTR{[dmi/id]product_version}=="* Tablet" RUN+="keymap $name lenovo-thinkpad_x201_tablet"

Please first double check that the rule actually matches by adding 
instead something like RUN+="/bin/touch /dev/xxxx".

Also, where did you put this rule?

> pabs@chianamo:~$ cat keymap-lenovo-thinkpad_x201_tablet
> 0xDD compose
Which key is this? No other keymap sets the compose key, which probably
should be dealt with in the XKB keymaps.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#616639; Package udev. (Sat, 25 Jun 2011 01:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 25 Jun 2011 01:51:04 GMT) Full text and rfc822 format available.

Message #30 received at 616639@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: Paul Wise <pabs@debian.org>, 616639@bugs.debian.org
Subject: Re: Bug#616639: udev: 616639: Lenovo ThinkPad X201 Tablet keymap issues
Date: Sat, 25 Jun 2011 03:46:22 +0200
[Message part 1 (text/plain, inline)]
Are there any news?

On Jun 11, Marco d'Itri <md@Linux.IT> wrote:

> On May 21, Paul Wise <pabs@debian.org> wrote:
> 
> > ENV{DMI_VENDOR}=="LENOVO*", ATTR{[dmi/id]product_version}=="ThinkPad X201 Tablet*", ATTR{[dmi/id]product_version}=="* Tablet" RUN+="keymap $name lenovo-thinkpad_x201_tablet"
> 
> Please first double check that the rule actually matches by adding 
> instead something like RUN+="/bin/touch /dev/xxxx".
> 
> Also, where did you put this rule?
> 
> > pabs@chianamo:~$ cat keymap-lenovo-thinkpad_x201_tablet
> > 0xDD compose
> Which key is this? No other keymap sets the compose key, which probably
> should be dealt with in the XKB keymaps.
> 
> -- 
> ciao,
> Marco



-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#616639; Package udev. (Sat, 23 Jul 2011 01:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco d'Itri <md@Linux.IT>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 23 Jul 2011 01:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 616639@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@Linux.IT>
To: Paul Wise <pabs@debian.org>, 616639@bugs.debian.org
Subject: Re: Bug#616639: udev: 616639: Lenovo ThinkPad X201 Tablet keymap issues
Date: Sat, 23 Jul 2011 02:34:18 +0200
[Message part 1 (text/plain, inline)]
Are there any news?

On Jun 25, Marco d'Itri <md@Linux.IT> wrote:

> Are there any news?
> 
> On Jun 11, Marco d'Itri <md@Linux.IT> wrote:
> 
> > On May 21, Paul Wise <pabs@debian.org> wrote:
> > 
> > > ENV{DMI_VENDOR}=="LENOVO*", ATTR{[dmi/id]product_version}=="ThinkPad X201 Tablet*", ATTR{[dmi/id]product_version}=="* Tablet" RUN+="keymap $name lenovo-thinkpad_x201_tablet"
> > 
> > Please first double check that the rule actually matches by adding 
> > instead something like RUN+="/bin/touch /dev/xxxx".
> > 
> > Also, where did you put this rule?
> > 
> > > pabs@chianamo:~$ cat keymap-lenovo-thinkpad_x201_tablet
> > > 0xDD compose
> > Which key is this? No other keymap sets the compose key, which probably
> > should be dealt with in the XKB keymaps.
> > 
> > -- 
> > ciao,
> > Marco
> 
> 
> 
> -- 
> ciao,
> Marco



-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#616639; Package udev. (Sat, 23 Jul 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 23 Jul 2011 10:15:07 GMT) Full text and rfc822 format available.

Message #40 received at 616639@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: 616639@bugs.debian.org
Subject: Re: Bug#616639: udev: 616639: Lenovo ThinkPad X201 Tablet keymap issues
Date: Sat, 23 Jul 2011 12:12:34 +0200
[Message part 1 (text/plain, inline)]
On Sat, 2011-07-23 at 02:34 +0200, Marco d'Itri wrote:

> Are there any news?

Sorry, been kinda busy with travel and DebConf. If you're coming to
DebConf, perhaps we could go over it here? Otherwise I will try to work
on it over the next week or so.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:41:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.